Bug 340990 - Crash after clicking importing from sd card
Summary: Crash after clicking importing from sd card
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Import-UMS (show other bugs)
Version: 4.9.0
Platform: Microsoft Windows Microsoft Windows
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-15 18:43 UTC by andre
Modified: 2017-08-16 05:30 UTC (History)
9 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.12.0


Attachments
attachment-23096-0.html (2.07 KB, text/html)
2014-12-22 13:25 UTC, Jon
Details
Crashreport from marvin2108@gmail.com (4.85 KB, text/plain)
2015-05-04 19:55 UTC, Marvin Dalheimer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andre 2014-11-15 18:43:34 UTC
Application: digikam (4.4.0)
KDE Platform Version: 4.10.2
Qt Version: 4.8.4
Operating System: WindowsNT Windows 7 i686

-- Information about the crash:
- What I was doing when the application crashed:
After clicking import from a sd card (via the toolbar) the KDE crash report windows opens. No import possible.

(windows digikam 4.4)

The crash can be reproduced every time.

-- Backtrace:
Application: digiKam (digikam.exe), signal: EXCEPTION_ACCESS_VIOLATION


ntdll.dll!ZwWaitForSingleObject() [[unknown] @ -1] at 0x771ef8d1
kernel32.dll!WaitForSingleObjectEx() [[unknown] @ -1] at 0x769e1194
kernel32.dll!WaitForSingleObject() [[unknown] @ -1] at 0x769e1148
QtCore4.dll!QWaitCondition::wait() [[unknown] @ -1] at 0x6a3c881b
digikam.exe!QMap<QString,QString>::unite() [[unknown] @ -1] at 0x17a62a
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c7709
MSVCR100.dll!endthreadex() [[unknown] @ -1] at 0x6d69c600
kernel32.dll!BaseThreadInitThunk() [[unknown] @ -1] at 0x769e338a
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77209f72
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77209f45


ntdll.dll!ZwWaitForSingleObject() [[unknown] @ -1] at 0x771ef8d1
kernel32.dll!WaitForSingleObjectEx() [[unknown] @ -1] at 0x769e1194
kernel32.dll!WaitForSingleObject() [[unknown] @ -1] at 0x769e1148
QtCore4.dll!QWaitCondition::wait() [[unknown] @ -1] at 0x6a3c881b
QtCore4.dll!QtConcurrent::internal::ExceptionStore::hasThrown() [[unknown] @ -1] at 0x6a3b8392
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c7709
MSVCR100.dll!endthreadex() [[unknown] @ -1] at 0x6d69c600
kernel32.dll!BaseThreadInitThunk() [[unknown] @ -1] at 0x769e338a
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77209f72
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77209f45


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForSingleObject() [[unknown] @ -1] at 0x771ef8d1
kernel32.dll!WaitForSingleObjectEx() [[unknown] @ -1] at 0x769e1194
kernel32.dll!WaitForSingleObject() [[unknown] @ -1] at 0x769e1148
QtCore4.dll!QWaitCondition::wait() [[unknown] @ -1] at 0x6a3c881b
QtCore4.dll!QtConcurrent::internal::ExceptionStore::hasThrown() [[unknown] @ -1] at 0x6a3b8392
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c7709
MSVCR100.dll!endthreadex() [[unknown] @ -1] at 0x6d69c600
kernel32.dll!BaseThreadInitThunk() [[unknown] @ -1] at 0x769e338a
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77209f72
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77209f45


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!BaseThreadInitThunk() [[unknown] @ -1] at 0x769e338a
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77209f72
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77209f45


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!NtWaitForWorkViaWorkerFactory() [[unknown] @ -1] at 0x771f1f46
kernel32.dll!BaseThreadInitThunk() [[unknown] @ -1] at 0x769e338a
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77209f72
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77209f45


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!NtRemoveIoCompletion() [[unknown] @ -1] at 0x771ef959
kernel32.dll!BaseThreadInitThunk() [[unknown] @ -1] at 0x769e338a
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77209f72
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77209f45


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!NtWaitForWorkViaWorkerFactory() [[unknown] @ -1] at 0x771f1f46
kernel32.dll!BaseThreadInitThunk() [[unknown] @ -1] at 0x769e338a
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77209f72
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77209f45


ntdll.dll!NtWaitForWorkViaWorkerFactory() [[unknown] @ -1] at 0x771f1f46
kernel32.dll!BaseThreadInitThunk() [[unknown] @ -1] at 0x769e338a
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77209f72
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77209f45


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!BaseThreadInitThunk() [[unknown] @ -1] at 0x769e338a
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77209f72
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77209f45


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForSingleObject() [[unknown] @ -1] at 0x771ef8d1
kernel32.dll!WaitForSingleObjectEx() [[unknown] @ -1] at 0x769e1194
kernel32.dll!WaitForSingleObject() [[unknown] @ -1] at 0x769e1148
QtCore4.dll!QWaitCondition::wait() [[unknown] @ -1] at 0x6a3c881b
digikam.exe!QMap<QString,QString>::unite() [[unknown] @ -1] at 0x307b7f
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c7709


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


digikamlib.dll!Digikam::VersionManager::setNamingScheme() [[unknown] @ -1] at 0x5edf837c
kdeui.dll!QList<KSortableItem<QString,int> >::value() [[unknown] @ -1] at 0x637d8c10
QtGui4.dll!QFont::operator==() [[unknown] @ -1] at 0x6486ac8e
QtGui4.dll!QWidgetPrivate::resolveFont() [[unknown] @ -1] at 0x6470ecae
QtGui4.dll!QWidgetPrivate::updateFont() [[unknown] @ -1] at 0x6470ef37
QtGui4.dll!QWidgetPrivate::resolveFont() [[unknown] @ -1] at 0x6470ecae
QtGui4.dll!QWidget::event() [[unknown] @ -1] at 0x64716036
QtGui4.dll!QAbstractScrollArea::event() [[unknown] @ -1] at 0x64a6e318
QtGui4.dll!QAbstractItemView::event() [[unknown] @ -1] at 0x64ae6ab5
QtGui4.dll!QApplicationPrivate::notify_helper() [[unknown] @ -1] at 0x646d04cd
kdeui.dll!QList<KSortableItem<QString,int> >::value() [[unknown] @ -1] at 0x637d8c10
QtCore4.dll!QCoreApplication::sendEvent() [[unknown] @ -1] at 0x6a4b3cf6
QtGui4.dll!QWidget::raise() [[unknown] @ -1] at 0x6471a878


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForSingleObject() [[unknown] @ -1] at 0x771ef8d1
kernel32.dll!WaitForSingleObjectEx() [[unknown] @ -1] at 0x769e1194
kernel32.dll!WaitForSingleObject() [[unknown] @ -1] at 0x769e1148
QtCore4.dll!QWaitCondition::wait() [[unknown] @ -1] at 0x6a3c881b
digikamlib.dll!Digikam::VersionManager::setNamingScheme() [[unknown] @ -1] at 0x5edb433d
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x771f015d
kernel32.dll!WaitForMultipleObjectsEx() [[unknown] @ -1] at 0x769e19f8
kernel32.dll!WaitForMultipleObjects() [[unknown] @ -1] at 0x769e4200
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x6a494313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x6a3c7ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x6a3c76fd

Possible duplicates by query: bug 338104, bug 333575, bug 329651.

Report to https://bugs.kde.org/
Comment 1 caulier.gilles 2014-11-15 19:07:50 UTC
Can you test with the last 4.5.0 version release for Windows today :

http://download.kde.org/stable/digikam/digiKam-installer-4.5.0-win32.exe.mirrorlist

Also run digiKam following instruction under Windows given to the page listed below, to get more information in the backtrace. Your report do not sow any implementation from digiKam relevant of Import tool.

https://www.digikam.org/contrib

Gilles Caulier
Comment 2 andre 2014-11-15 20:42:59 UTC
same behavior with 4.5


gdb output:

[Thread 192.0x1434 exited with code 0]
[Thread 192.0x1254 exited with code 0]
[Thread 192.0x6f0 exited with code 0]
[New Thread 192.0x19c8]
warning: digikam(192)/phonon (KDE plugin): Can not create backend object from factory for  "VLC" ,  "phonon_vlc" :
 "Could not find plugin 'VLC' for application 'digikam'"

warning: WARNING: bool __thiscall Phonon::FactoryPrivate::createBackend(void) phonon backend plugin could not be loaded


warning: digikam(192)/phonon (KDE plugin): Can not create backend object from factory for  "VLC" ,  "phonon_vlc" :
 "Could not find plugin 'VLC' for application 'digikam'"

warning: WARNING: bool __thiscall Phonon::FactoryPrivate::createBackend(void) phonon backend plugin could not be loaded


warning: digikam(192)/phonon (KDE plugin): Can not create backend object from factory for  "VLC" ,  "phonon_vlc" :
 "Could not find plugin 'VLC' for application 'digikam'"

warning: WARNING: bool __thiscall Phonon::FactoryPrivate::createBackend(void) phonon backend plugin could not be loaded


warning: digikam(192)/phonon (KDE plugin): Can not create backend object from factory for  "VLC" ,  "phonon_vlc" :
 "Could not find plugin 'VLC' for application 'digikam'"

warning: WARNING: bool __thiscall Phonon::FactoryPrivate::createBackend(void) phonon backend plugin could not be loaded


warning: digikam(192)/phonon (KDE plugin): Can not create backend object from factory for  "VLC" ,  "phonon_vlc" :
 "Could not find plugin 'VLC' for application 'digikam'"

warning: WARNING: bool __thiscall Phonon::FactoryPrivate::createBackend(void) phonon backend plugin could not be loaded


warning: WARNING: Phonon::createPath: Cannot connect  Phonon::MediaObject ( no objectName ) to  Phonon::AudioOutput ( n
 objectName ).

warning: digikam(192)/phonon (KDE plugin): Can not create backend object from factory for  "VLC" ,  "phonon_vlc" :
 "Could not find plugin 'VLC' for application 'digikam'"

warning: WARNING: bool __thiscall Phonon::FactoryPrivate::createBackend(void) phonon backend plugin could not be loaded


warning: WARNING: Phonon::createPath: Cannot connect  Phonon::MediaObject ( no objectName ) to  Phonon::VideoWidget ( n
 objectName ).

warning: digikam(192)/phonon (KDE plugin): Can not create backend object from factory for  "VLC" ,  "phonon_vlc" :
 "Could not find plugin 'VLC' for application 'digikam'"

warning: WARNING: bool __thiscall Phonon::FactoryPrivate::createBackend(void) phonon backend plugin could not be loaded



Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 192.0x1c60]
0x0000002b in ?? ()
Comment 3 caulier.gilles 2014-11-15 23:14:13 UTC
Ananta, 

did you take a care to install Phonon::VLC plugin into KDE with digiKam windows installer ?

Gilles
Comment 4 Ananta Palani 2014-11-16 19:22:48 UTC
vlc 2.0.6, phonon 4.6.0, phonon-vlc 0.6.2 are installed. Perhaps it is installed to the wrong location.

andre, could you quit digikam, copy phonon_vlc.dll from %DIGIKAM_INSTALL_LOCATION%/bin/phonon_backend into %DIGIKAM_INSTALL_LOCATION%/bin (i.e. copy it into the parent directory), start digikam, and try again?
Comment 5 andre 2014-11-16 19:50:22 UTC
Other phonon*.dlls are in the bin folder too. But copying the the file phonon_vlc.dll does not change the crash behavior. gdb output is the same.
Comment 6 caulier.gilles 2014-12-22 09:06:07 UTC
*** Bug 342108 has been marked as a duplicate of this bug. ***
Comment 7 Jon 2014-12-22 13:25:08 UTC
Created attachment 90090 [details]
attachment-23096-0.html

Giles...thanks for processing this. My experience with DigiKam has been
rather disappointing. I tried it because it got some praise for its
features; however the Windows version has had numerous problems with basic
features and notable counter intuitive user interface issues. Can't add
albums at the top level and having to add collections via settings is one
example. Another is upon first usage the menu does not show and a right
click on the toolbar does not give me the option to show it.

Also it gives no messages when it is creating the database from a large
numbers of images so I can't tell whether it is frozen or working.

Another bug...it appears to hang when I try to search for all jpeg files
with four star ratings.

I hope the solution you are working on is Windows based; most of the world
does not want to reboot their system to do their photo editting and
cataloging on Linux.
 On Dec 22, 2014 4:06 AM, "Gilles Caulier" <caulier.gilles@gmail.com> wrote:

> https://bugs.kde.org/show_bug.cgi?id=340990
>
> Gilles Caulier <caulier.gilles@gmail.com> changed:
>
>            What    |Removed                     |Added
>
> ----------------------------------------------------------------------------
>                  CC|                            |jgharris7@gmail.com
>
> --- Comment #6 from Gilles Caulier <caulier.gilles@gmail.com> ---
> *** Bug 342108 has been marked as a duplicate of this bug. ***
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.
>
Comment 8 caulier.gilles 2015-03-25 08:50:16 UTC
Problem still reproducible with last stable digiKam 4.8.0 ?

Gilles Caulier
Comment 9 caulier.gilles 2015-03-26 07:01:19 UTC
digiKam 4.7.0 for Windows is available :

http://download.kde.org/stable/digikam/digiKam-installer-4.7.0-1-win32.exe.mirrorlist

Please test and report.

Thanks in advance

Gilles Caulier
Comment 10 Fabian Frank 2015-04-09 08:00:56 UTC
I have the same Problem.
Sadly the bugtracker can not directly load my backtrace info :-(

The bug:
I use Windows 7 32 bit.
Digikam 4.9.
If i click on import (toolbar) digikam crashed immediately - no chance to import something. Same if i try it from the menu.
Tell me what info I should provide - I would be glad to help with this.
Best.
Fabian
Comment 11 Marvin Dalheimer 2015-05-04 19:54:43 UTC
Bug exsist in Version 4.9 too. Upload from Bug description failed so i saved everything and add it to attachments.
Comment 12 Marvin Dalheimer 2015-05-04 19:55:26 UTC
Created attachment 92421 [details]
Crashreport from marvin2108@gmail.com
Comment 13 caulier.gilles 2015-05-12 12:55:23 UTC
*** Bug 345990 has been marked as a duplicate of this bug. ***
Comment 14 caulier.gilles 2015-05-12 12:56:24 UTC

*** This bug has been marked as a duplicate of bug 339008 ***
Comment 15 caulier.gilles 2015-06-22 21:54:48 UTC
Git commit ad8538938371ec4152450c661b1857f8441e3af8 by Maik Qualmann.
Committed on 19/06/2015 at 21:01.
Pushed by mqualmann into branch 'master'.

fixes the model initialisation from the icon view and thumb bar of the import
window
Related: bug 349280
FIXED-IN: 4.12.0

M  +3    -1    NEWS
M  +1    -7    utilities/importui/main/importui.cpp
M  +7    -3    utilities/importui/views/importiconview.cpp
M  +0    -2    utilities/importui/views/importiconview.h
M  +11   -20   utilities/importui/views/importstackedview.cpp
M  +0    -1    utilities/importui/views/importstackedview.h
M  +3    -12   utilities/importui/views/importview.cpp
M  +1    -1    utilities/importui/views/importview.h

http://commits.kde.org/digikam/ad8538938371ec4152450c661b1857f8441e3af8
Comment 16 Fabian Frank 2015-07-08 16:47:41 UTC
Bug still existing in 4.11
Using win8.1 64 bit.
Comment 17 caulier.gilles 2015-07-08 17:06:24 UTC
In will be fixed in 4.12.0

Gilles Caulier
Comment 18 Fabian Frank 2015-07-08 17:12:55 UTC
Great and Thanks!

Fabian